Bug 1647057 - Cannot limit memory usage on containers using paunch
Summary: Cannot limit memory usage on containers using paunch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-paunch
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Upstream M3
: 15.0 (Stein)
Assignee: Steve Baker
QA Contact: Sasha Smolyak
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-06 15:30 UTC by Marc Methot
Modified: 2019-09-26 10:46 UTC (History)
2 users (show)

Fixed In Version: python-paunch-4.2.1-0.20190123122357.fc5aecd.el8ost
Doc Type: Enhancement
Doc Text:
With Paunch you can now manage container memory consumption using three new attributes: mem_limit, memswap_limit, and mem_swappiness.
Clone Of:
Environment:
Last Closed: 2019-09-21 11:19:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1801949 0 None None None 2018-11-06 15:30:30 UTC
OpenStack gerrit 615909 0 'None' MERGED Allow to set limit memory on containers 2020-02-04 16:24:06 UTC
Red Hat Knowledge Base (Solution) 3985661 0 Configure None How to limit memory usage on containers using paunch 2019-03-13 17:00:32 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:19:45 UTC

Description Marc Methot 2018-11-06 15:30:30 UTC
User requires a method to limit the max memory of containers managed by paunch.
Without this, containers can bloat as they wish and also makes memory consumption forecasting unpredictable.

Noting that this is already in the TODO in the builder's code:
https://github.com/openstack/paunch/blob/master/paunch/builder/compose1.py
~~~
  # TODO(sbaker): add missing compose v1 properties:
        # cgroup_parent
        # devices
        # dns, dns_search
        # entrypoint
        # expose
        # extra_hosts
        # labels
        # ports
        # stop_signal
        # volume_driver
        # cpu_quota
        # cpuset
        # domainname
        # hostname
        # mac_address
        # mem_limit
        # memswap_limit
        # mem_swappiness
        # read_only
        # shm_size
        # stdin_open
        # working_dir
~~~

Cheers,
Marc Methot

Comment 7 errata-xmlrpc 2019-09-21 11:19:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.